# &amarok;i käsiraamat

Mike
Diehl

    madpenguin8@yahoo.com

amaroKi arendajate meeskond
Arendajad
Marek
Laane

    bald@starman.ee

Tõlge eesti keelde
2005
amaroKi arendajate meeskond
&FDLNotice;
2005-01-02
2.1

&amarok; on KDE meediamängija.

KDE
multimeedia
mängija
audio
ogg
mp3
wav
muusika
heli

## Sissejuhatus

Logo

&amarok; on &kde; audiofailide mängija. &amarok; on avarate võimaluste, ühtaegu võimas ja hõlpsasti kasutatav rakendus.

Kas oled sageli tundnud masendust, kui pead muudkui lappama menüüd, et lihtsalt muusikafaile lugude nimekirja lisada? &amarok; võimaldab seda teha pelgalt vajalikke faile lugude nimekirja lohistades. Oletame, et otsid mingit konkreetset pala oma tuhandete lugude seast. &amarok;i muusikakogu sirvija pakub sulle otsinguriba, mis võimaldab vajaliku pala mõne sekundiga üles leida.

Nii pakub &amarok; kõiki neid häid ja teada-tuntud võimalusi, mida iga muugi audiofailide mängija, aga see pole veel kõik. Heida vaid pilk kontekstisirvijale ja sa näed, et &amarok; on teistest tubli sammu võrra ees. Kontekstisirvija kujutab endast käigult loodavat andmebaasi, kus uuendatakse järjepidevalt sinu lugude nimekirja kohta käivat statistikat. Seda saab pruukida ka albumi kaanepiltide tõmbamiseks, mis muudab sirvija mitte lihtsalt inforohkemaks, vaid ka visuaalselt köitvamaks.

Sul on juba terve hulk lugude nimekirju ja sa ei suuda kunagi otsustada, millist neist parajasti ette võtta? Siis sobib sulle lugude nimekirja sirvija. Salvestatud lugude nimekirjade laadimine sirvijasse käib üheainsa klahvivajutusega.

Lisaks aRtsile toetab &amarok; ka GStreameri, NMM ja xine heliservereid, mis muudab &amarok;i &kde; kõige edevamaks audiomängijaks. &amarok; on nutikas, armas ja seksikas. Proovi seda kohe!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Autorid ja litsents

Rakenduse autoriõigus 2003-2005: Mark Kretschmann markey@web.de ja amaroKi meeskond.

### amaroKi meeskond

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Kaasautorid:

- Adam Pigg (analüsaatorid, paigad) adam@piggz.fsnet.co.uk

- Adeodato Simo (paigad) asp16@alu.ua.es

- Alexandre Oliveira (parandused, veaparandused) aleprj@gmail.com

- Andreas Mair (MySql toetus) am_ml@linogate.com

- Andrew de Quincey (Postgresql toetus) adq_dvb@lidskialf.net

- Dan Leinir Turthra Jensen (esimese korra nõustaja) admin@removeleinir.dk

- Enrico Ros (analüsaatorid, openGL kuningas) eros.kde@email.it

- Florian 'da-flow' Egerer (amaroKi ikoon 'Blue Wolf) flo_for_never@gmx.at

- GÃ©rard DÃ¼rrmeyer (ikoonid ja pildivärk) gerard@randomtree.com

- Greg Meyer (imetletav abi meie 1.2-eelse vigadelaviini juures) greg@gkmweb.com

- Ian Monroe (paigad, Ruby skripti mall (eean) )ian@monroe.nu

- Jarkko Lehti (testija) grue@iki.fi

- Kenneth Wesley Wimer II (ikoonid) kwwii@bootsplash.org

- Kenny Lemieux (amaroKi veebimeister) swaft@pwsp.net

- Melchior Franz (uus FFT rutiin, veaparandused) mfranz@kde.org

- Michael Pyne (K3B ekspordi kood) michael.pyne@kdemail.net

- Nenad Grujicic (1.1 käivitusekraan) mchitman@neobee.net

- Olivier BÃ©dard (veebilehekülje hoidja) paleo@pwsp.net

- Reigo Reinmets (Wikipedia toetus, paigad) xatax@hot.ee

- Roland Gigler (MAS mootor) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbleri toetus) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (väga palju igasugu asju) bochi@online.ms

- Stefan Siegel (paigad, veaparandused) kde@sdas.de

- Whitehawk Stormchaser (testija, parandused) zerokode@gmx.net

Dokumentatsiooni autoriõigus 2005: Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Paigaldamine

### &amarok;i hankimine

&amarok;i saab alla tõmmata &amarok;i koduleheküljelt

Uusima arendusversiooni leiab &kde; SVN-ist moodulist /trunk/extragear/multimedia/amarok/.

#### &amarok;i kompileerimine

amaroKi kompileerimiseks ja paigaldamiseks oma süsteemi anna amaroKi lähteteksti baaskataloogis järgmised käsud:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Konfiguratsioonivõti --enable-final ei ole enam toetatud.

Et &amarok; kasutab autoconf'i ja automake'i, ei tohiks kompileerimisel probleeme tekkida. Kui neid siiski esineb, anna sellest teada &kde; meililistides

#### Konfiguratsioonivõtmed

&amarok; sarnaneb ülejäänud rakendustele selle poolest, et ka tema võib kasutada kompileerimise ajal konfiguratsioonivõtmeid (või ka mitte kasutada). Toome siin ära võtmed, mida saab kasutada.

Mõned kompileerimisel kasutatavad võtmed nõuavad spetsiaalseid sõltuvusi. Täpsemalt räägib neist nõuete osa.

Võti | Vaikimisi | Kirjeldus
--- | --- | ---
--enable-debug= | no | Silumissümbolite lubamine. Valikud on yes, no ja full. Kasuta võtit full, kui soovid kaasa aidata &amarok;i arendamisele.
--enable-mysql | Disabled | MySQL andmebaasi toe lubamine &amarok;is
--disable-amazon | Enabled | Amazoni kaanepiltide tõmbamise toe keelamine &amarok;is
--without-arts | With | aRtsi toe keelamine &amarok;is
--without-gstreamer | With | GStreameri toe keelamine &amarok;is
--without-xine | With | xine toe keelamine &amarok;is
--with-nmm | Without | NMM toe lubamine &amarok;is
--with-mas | Without | MAS toe lubamine &amarok;is
--without-opengl | With | OpenGL (analüsaatorite) toe keelamine &amarok;is
--without-included-sqlite | With | Ei kasutata kaasatud sqlite'i allikaid (nõuab sqlite'i paigaldamist)

&documentation.index;